package a3test.autocontrol;

import jp.sourceforge.acerola3d.a3.*;

public class BillboardTest2 {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        Action3D a3_1 = new Action3D("x-res:///billboard.a3");
        w.add(a3_1);
        Action3D a3_2 = new Action3D("x-res:///explosion.a3");
        a3_2.setLoc(2.0,0.0,0.0);
        w.add(a3_2);
        Action3D a3_3 = new Action3D("x-res:///explosion.a3");
        a3_3.setLoc(-2.0,0.0,0.0);
        w.add(a3_3);
        double t = 0.0;
        while (true) {
            w.setCameraLoc(8.0*Math.sin(t),0.5,8.0*Math.cos(t));
            w.setCameraRot(0.0,t,0.0);
            Thread.sleep(100);
            t=t+0.05;
        }
    }
}
